Bug 1252294 - (CVE-2015-4490) CVE-2015-4490 Mozilla: Mozilla Content Security Policy allows for asterisk wildcards in violation of CSP specification (MFSA 2015-91)
CVE-2015-4490 Mozilla: Mozilla Content Security Policy allows for asterisk wi...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150811,repor...
: Security
Depends On:
Blocks: 1251515
  Show dependency treegraph
 
Reported: 2015-08-11 02:35 EDT by Huzaifa S. Sidhpurwala
Modified: 2015-11-24 07:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-12 00:37:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2015-08-11 02:35:07 EDT
Mozilla security engineer Christoph Kerschbaumer reported a discrepancy in Mozilla's implementation of Content Security Policy and the CSP specification. The specification states that blob:, data:, and filesystem: URLs should be excluded in case of a wildcard when matching source expressions but Mozilla's implementation allows these in the case of an asterisk wildcard. This could allow for more permissive CSP usage than expected by a web developer, possibly allowing for cross-site scripting (XSS) attacks. 


External Reference:

https://www.mozilla.org/security/announce/2015/mfsa2015-91.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Christoph Kerschbaumer as the original reporter.
Comment 1 Huzaifa S. Sidhpurwala 2015-08-24 06:00:01 EDT
Statement:

This issue does not affect the version of firefox and thunderbird as shipped with Red Hat Enterprise Linux 5, 6 and 7.

Note You need to log in before you can comment on or make changes to this bug.